/*
reduced MultiWii 1_8, to read from the spectrum satellite
The original code is From ....

MultiWiiCopter by Alexandre Dubus
www.multiwii.com
October  2011     V1.dev
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 any later version. see <http://www.gnu.org/licenses/>

********************************************************************
Its for use with Arduino Pro Mini 386 16MHz 5V


Spektrum Satelit:
orange   to   3,3v (ext regulator)!!!!!
gray     to   Pro Mini RX Pin
black    to   Pro Mini GND

FTDI:
GND     to Pro Mini GND
RX      to Pro Mint TX

A serial Monitor prints ROLL  PITCH  YAW THROTTLE  AUX1 
********************************************************************

*/




#include "config.h"
#include "def.h"
#define   VERSION  19

/*********** RC alias *****************/
#define ROLL       0
#define PITCH      1
#define YAW        2
#define THROTTLE   3
#define AUX1       4
#define AUX2       5
#define CAMPITCH   6
#define CAMROLL    7

#define PIDALT     3
#define PIDVEL     4
#define PIDLEVEL   5
#define PIDMAG     6


static uint32_t currentTime = 0;
static uint16_t previousTime = 0;

static uint8_t  rcOptions;

// ******************
// rc functions
// ******************
#define MINCHECK 1100
#define MAXCHECK 1900

volatile int16_t failsafeCnt = 0;
static int16_t failsafeEvents = 0;
static int16_t rcData[8];    // interval [1000;2000]
static int16_t rcCommand[4]; // interval [1000;2000] for THROTTLE and [-500;+500] for ROLL/PITCH/YAW
static uint8_t rcRate8;
static uint8_t rcExpo8;
static int16_t lookupRX[7]; //  lookup table for expo & RC rate
volatile uint8_t rcFrameComplete; //for serial rc receiver Spektrum

void blinkLED(uint8_t num, uint8_t wait,uint8_t repeat) {
  uint8_t i,r;
  for (r=0;r<repeat;r++) {
    for(i=0;i<num;i++) {
      LEDPIN_SWITCH //switch LEDPIN state
      BUZZERPIN_ON delay(wait); BUZZERPIN_OFF
    }
    delay(60);
  }
}

void setup() {
  Serial.begin(SERIAL_COM_SPEED);
  configureReceiver();
  previousTime = micros();
}

// ******** Main Loop *********
void loop () {
  static uint8_t rcDelayCommand; // this indicates the number of time (multiple of RC measurement at 50Hz) the sticks must be maintained to run or switch off motors
  uint8_t axis,i;
  static uint32_t rcTime  = 0;
  
   #if defined(SPEKTRUM)
    if (rcFrameComplete) computeRC();
  #endif
   Serial.print(rcData[ROLL]);
   Serial.print("\t");
   Serial.print(rcData[PITCH]);
   Serial.print("\t");
   Serial.print(rcData[YAW]);
   Serial.print("\t");
   Serial.print(rcData[THROTTLE]);
   Serial.print("\t");
   Serial.println(rcData[AUX1]);
   
   
   
}



